
/****** Object:  View [dbo].[vTavoliOrdineRighe]    Script Date: 02/06/2018 12:22:25 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vTavoliOrdineRighe]'))
DROP VIEW [dbo].[vTavoliOrdineRighe]
GO



/****** Object:  View [dbo].[vTavoliOrdineRighe]    Script Date: 02/06/2018 12:22:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vTavoliOrdineRighe]
AS
SELECT     dbo.BarTavoliOrdine.Qta, dbo.BarTavoliOrdine.PrezzoUnitario AS PrezzoCopertina, dbo.BarTavoliOrdine.BancoTavolo, dbo.BarTavoliOrdine.IDTavolo, 
                      dbo.BarTavoliOrdine.Term, dbo.BarTavoliOrdine.NumeroRiga, dbo.Uscite.InfoRiv,
                          (SELECT     Aliquota
                            FROM          dbo.IVA
                            WHERE      (dbo.Uscite.IDIva = IDIva)) AS Aliquota,
                          (SELECT     Testata
                            FROM          dbo.Prodotti
                            WHERE      (dbo.Uscite.IDProd = IDProd)) AS Descrizione, dbo.Uscite.IDIva, dbo.BarTavoliOrdine.IDProdotto AS IdProd
FROM         dbo.Uscite RIGHT OUTER JOIN
                      dbo.BarTavoliOrdine ON dbo.Uscite.IDUscita = dbo.BarTavoliOrdine.IDProdotto

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[27] 2[13] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 18
               Left = 438
               Bottom = 133
               Right = 676
            End
            DisplayFlags = 280
            TopColumn = 65
         End
         Begin Table = "BarTavoliOrdine"
            Begin Extent = 
               Top = 18
               Left = 19
               Bottom = 133
               Right = 194
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vTavoliOrdineRighe'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vTavoliOrdineRighe'
GO


